package br.ufrn.imd.client;

import br.ufrn.imd.client.utils.MachineState;
import org.springframework.boot.autoconfigure.SpringBootApplication;

@SpringBootApplication
public class ClientApplication {

	public static void main(String[] args) {

		MachineState mS = new MachineState();

		for(;;) {
			while(!mS.hasUser()) mS.login();

			while(mS.quit() || mS.hasUser()) {
				mS.render();
				mS.processEvents();
				mS.update();
			}
		}

	}

}
